Package com.google.android.exoplayer2.testutil.truth

## Interface SpannedSubject.EmphasizedText

- Enclosing class:
    SpannedSubject

      public static interface SpannedSubject.EmphasizedText

  Allows assertions about a span's text emphasis mark and its position.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SpannedSubject.AndSpanFlags` | `withMarkAndPosition​(@com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkShape int markShape, @com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkFill int markFill, @com.google.android.exoplayer2.text.span.TextAnnotation.Position int position)` | Checks that at least one of the matched spans has the expected `mark` and `position`.

- - ### Method Detail

    - #### withMarkAndPosition

          SpannedSubject.AndSpanFlags withMarkAndPosition​(@com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkShape int markShape,
                                                          @com.google.android.exoplayer2.text.span.TextEmphasisSpan.MarkFill int markFill,
                                                          @com.google.android.exoplayer2.text.span.TextAnnotation.Position int position)

      Checks that at least one of the matched spans has the expected `mark` and `position`.
      Parameters:
        `markShape` - The expected mark shape.
        `markFill` - The expected mark fill style.
        `position` - The expected position of the mark.
      Returns:
        A `SpannedSubject.AndSpanFlags` object for optional additional assertions on the flags.